summaryrefslogtreecommitdiffstats
path: root/source/xap/sane/sane.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/sane/sane.SlackBuild')
-rwxr-xr-xsource/xap/sane/sane.SlackBuild24
1 files changed, 18 insertions, 6 deletions
diff --git a/source/xap/sane/sane.SlackBuild b/source/xap/sane/sane.SlackBuild
index 613393dc5..be9dd725d 100755
--- a/source/xap/sane/sane.SlackBuild
+++ b/source/xap/sane/sane.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010, 2011 Patrick Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012 Patrick Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
VERSION=1.0.22
BACKVER=1.0.22
FRONTVER=1.0.14
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-5}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -69,6 +69,9 @@ chown -R root:root .
# everything else catches up with the API change...
zcat $CWD/sane-frontends-1.0.14-sane_cap_always_settable.diff.gz | patch -p1 || exit 1
+# Fix building against v4l-utils-0.8.3:
+zcat $CWD/sane-backends-1.0.22-v4l.diff.gz | patch -p1 --verbose || exit 1
+
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
@@ -87,16 +90,25 @@ make $NUMJOBS || make || exit 1
make install || exit 1
make install DESTDIR=$PKG || exit 1
-# Add the default udev rules
+# Add the default udev rules. Use group "lp" rather than "scanner" to avoid
+# breaking CUPS access for multifunction printer/scanner devices (possibly
+# the most common type of scanner these days)
mkdir -p $PKG/lib/udev/rules.d
-cat tools/udev/libsane.rules > $PKG/lib/udev/rules.d/80-libsane.rules
+cat tools/udev/libsane.rules \
+ | sed -e "s/GROUP=\"scanner\"/GROUP=\"lp\"/g" \
+ | sed -e "s/MODE=\"0664\"/MODE=\"0660\"/g" \
+ > $PKG/lib/udev/rules.d/80-libsane.rules
-# Add the hal fdi file
+# Add the hal fdi file:
mkdir -p $PKG/usr/share/hal/fdi/policy/10osvendor/
cat tools/hal/libsane.fdi \
> $PKG/usr/share/hal/fdi/policy/10osvendor/10-libsane.fdi
-# Now let's build the frontends
+# Install the pkgconfig file:
+install -D -m644 tools/sane-backends.pc \
+ $PKG/usr/lib$LIBDIRSUFFIX/pkgconfig/sane-backends.pc
+
+# Now let's build the frontends:
cd $TMP
rm -rf sane-frontends-$FRONTVER
tar xvf $CWD/sane-frontends-$FRONTVER.tar.bz2 || exit 1